
Katello - Bug #7049

Puppet not being installed in kickstart katello

08/12/2014 12:59 PM - Leah Fisher

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello Backlog   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

https://github.com/Katello/katello/blob/master/app/views/foreman/unattended/kickstart-katello_rhel.erb#L91 needs to be placed in 

https://github.com/Katello/katello/blob/master/app/views/foreman/unattended/kickstart-katello.erb as well so puppet will be installed

during the kickstart.

Related issues:

Related to Katello - Bug #6880: katello/satellite kickstart default for rhel ... Closed 08/01/2014

Is duplicate of Katello - Refactor #14594: Remove all provisioning templates ... Closed 04/12/2016

History

#1 - 08/12/2014 01:00 PM - Leah Fisher

Should be linked to bug 6880 but I don't see how to do that.

#2 - 08/14/2014 10:15 AM - Eric Helms

- Related to Bug #6880: katello/satellite kickstart default for rhel includes puppet in packages list, branding added

#3 - 08/14/2014 10:15 AM - Eric Helms

- Category set to 83

- Difficulty set to trivial

- Triaged changed from No to Yes

#4 - 12/21/2015 11:44 AM - Eric Helms

- translation missing: en.field_release set to 114

#5 - 07/24/2018 03:01 PM - Stephen Benjamin

- Status changed from New to Duplicate

Katello no longer has separate kickstart templates from Foreman, so Puppet install will work the same regardless if you're using Katello or not.

#6 - 07/24/2018 03:01 PM - Stephen Benjamin

- Is duplicate of Refactor #14594: Remove all provisioning templates from katello repo added
